/*
* React Tooltip
* {@link https://github.com/ReactTooltip/react-tooltip}
* @copyright ReactTooltip Team
* @license MIT
*/
import e,{createContext as t,useState as o,useCallback as r,useMemo as l,useContext as n,useRef as i,useEffect as c,useLayoutEffect as a,useImperativeHandle as s}from"react";import{arrow as d,computePosition as u,offset as p,flip as v,shift as m,autoUpdate as f}from"@floating-ui/dom";import y from"classnames";const h="react-tooltip-core-styles",w="react-tooltip-base-styles",S={core:!1,base:!1};function b({css:e,id:t=w,type:o="base",ref:r}){var l,n;if(!e||"undefined"==typeof document||S[o])return;if("core"===o&&"undefined"!=typeof process&&(null===(l=null===process||void 0===process?void 0:process.env)||void 0===l?void 0:l.REACT_TOOLTIP_DISABLE_CORE_STYLES))return;if("base"!==o&&"undefined"!=typeof process&&(null===(n=null===process||void 0===process?void 0:process.env)||void 0===n?void 0:n.REACT_TOOLTIP_DISABLE_BASE_STYLES))return;"core"===o&&(t=h),r||(r={});const{insertAt:i}=r;if(document.getElementById(t))return void console.warn(`[react-tooltip] Element with id '${t}' already exists. Call \`removeStyle()\` first`);const c=document.head||document.getElementsByTagName("head")[0],a=document.createElement("style");a.id=t,a.type="text/css","top"===i&&c.firstChild?c.insertBefore(a,c.firstChild):c.appendChild(a),a.styleSheet?a.styleSheet.cssText=e:a.appendChild(document.createTextNode(e)),S[o]=!0}function E({type:e="base",id:t=w}={}){if(!S[e])return;"core"===e&&(t=h);const o=document.getElementById(t);"style"===(null==o?void 0:o.tagName)?null==o||o.remove():console.warn(`[react-tooltip] Failed to remove 'style' element with id '${t}'. Call \`injectStyle()\` first`),S[e]=!1}const g=(e,t,o)=>{let r=null;return function(...l){const n=()=>{r=null,o||e.apply(this,l)};o&&!r&&(e.apply(this,l),r=setTimeout(n,t)),o||(r&&clearTimeout(r),r=setTimeout(n,t))}},_="DEFAULT_TOOLTIP_ID",A={anchorRefs:new Set,activeAnchor:{current:null},attach:()=>{},detach:()=>{},setActiveAnchor:()=>{}},T=t({getTooltipData:()=>A}),O=({children:t})=>{const[n,i]=o({[_]:new Set}),[c,a]=o({[_]:{current:null}}),s=(e,...t)=>{i((o=>{var r;const l=null!==(r=o[e])&&void 0!==r?r:new Set;return t.forEach((e=>l.add(e))),{...o,[e]:new Set(l)}}))},d=(e,...t)=>{i((o=>{const r=o[e];return r?(t.forEach((e=>r.delete(e))),{...o}):o}))},u=r(((e=_)=>{var t,o;return{anchorRefs:null!==(t=n[e])&&void 0!==t?t:new Set,activeAnchor:null!==(o=c[e])&&void 0!==o?o:{current:null},attach:(...t)=>s(e,...t),detach:(...t)=>d(e,...t),setActiveAnchor:t=>((e,t)=>{a((o=>{var r;return(null===(r=o[e])||void 0===r?void 0:r.current)===t.current?o:{...o,[e]:t}}))})(e,t)}}),[n,c,s,d]),p=l((()=>({getTooltipData:u})),[u]);return e.createElement(T.Provider,{value:p},t)};function L(e=_){return n(T).getTooltipData(e)}const R=({tooltipId:t,children:o,className:r,place:l,content:n,html:a,variant:s,offset:d,wrapper:u,events:p,positionStrategy:v,delayShow:m,delayHide:f})=>{const{attach:h,detach:w}=L(t),S=i(null);return c((()=>(h(S),()=>{w(S)})),[]),e.createElement("span",{ref:S,className:y("react-tooltip-wrapper",r),"data-tooltip-place":l,"data-tooltip-content":n,"data-tooltip-html":a,"data-tooltip-variant":s,"data-tooltip-offset":d,"data-tooltip-wrapper":u,"data-tooltip-events":p,"data-tooltip-position-strategy":v,"data-tooltip-delay-show":m,"data-tooltip-delay-hide":f},o)},C="undefined"!=typeof window?a:c,N=e=>{if(!(e instanceof HTMLElement||e instanceof SVGElement))return!1;const t=getComputedStyle(e);return["overflow","overflow-x","overflow-y"].some((e=>{const o=t.getPropertyValue(e);return"auto"===o||"scroll"===o}))},k=e=>{if(!e)return null;let t=e.parentElement;for(;t;){if(N(t))return t;t=t.parentElement}return document.scrollingElement||document.documentElement},x=async({elementReference:e=null,tooltipReference:t=null,tooltipArrowReference:o=null,place:r="top",offset:l=10,strategy:n="absolute",middlewares:i=[p(Number(l)),v(),m({padding:5})],border:c})=>{if(!e)return{tooltipStyles:{},tooltipArrowStyles:{},place:r};if(null===t)return{tooltipStyles:{},tooltipArrowStyles:{},place:r};const a=i;return o?(a.push(d({element:o,padding:5})),u(e,t,{placement:r,strategy:n,middleware:a}).then((({x:e,y:t,placement:o,middlewareData:r})=>{var l,n;const i={left:`${e}px`,top:`${t}px`,border:c},{x:a,y:s}=null!==(l=r.arrow)&&void 0!==l?l:{x:0,y:0},d=null!==(n={top:"bottom",right:"left",bottom:"top",left:"right"}[o.split("-")[0]])&&void 0!==n?n:"bottom",u=c&&{borderBottom:c,borderRight:c};let p=0;if(c){const e=`${c}`.match(/(\d+)px/);p=(null==e?void 0:e[1])?Number(e[1]):1}return{tooltipStyles:i,tooltipArrowStyles:{left:null!=a?`${a}px`:"",top:null!=s?`${s}px`:"",right:"",bottom:"",...u,[d]:`-${4+p}px`},place:o}}))):u(e,t,{placement:"bottom",strategy:n,middleware:a}).then((({x:e,y:t,placement:o})=>({tooltipStyles:{left:`${e}px`,top:`${t}px`},tooltipArrowStyles:{},place:o})))};var $="core-styles-module_tooltip__3vRRp",I="core-styles-module_fixed__pcSol",B="core-styles-module_arrow__cvMwQ",j="core-styles-module_noArrow__xock6",D="core-styles-module_clickable__ZuTTB",q="core-styles-module_show__Nt9eE",H={tooltip:"styles-module_tooltip__mnnfp",arrow:"styles-module_arrow__K0L3T",dark:"styles-module_dark__xNqje",light:"styles-module_light__Z6W-X",success:"styles-module_success__A2AKt",warning:"styles-module_warning__SCK0X",error:"styles-module_error__JvumD",info:"styles-module_info__BWdHW"};const z=({forwardRef:t,id:l,className:n,classNameArrow:a,variant:d="dark",anchorId:u,anchorSelect:p,place:v="top",offset:m=10,events:h=["hover"],openOnClick:w=!1,positionStrategy:S="absolute",middlewares:b,wrapper:E,delayShow:_=0,delayHide:A=0,float:T=!1,hidden:O=!1,noArrow:R=!1,clickable:N=!1,closeOnEsc:z=!1,closeOnScroll:M=!1,closeOnResize:W=!1,style:P,position:F,afterShow:K,afterHide:U,content:X,contentWrapperRef:Y,isOpen:V,setIsOpen:Z,activeAnchor:G,setActiveAnchor:J,border:Q,opacity:ee,arrowColor:te})=>{var oe;const re=i(null),le=i(null),ne=i(null),ie=i(null),[ce,ae]=o(v),[se,de]=o({}),[ue,pe]=o({}),[ve,me]=o(!1),[fe,ye]=o(!1),[he,we]=o(null),Se=i(!1),be=i(null),{anchorRefs:Ee,setActiveAnchor:ge}=L(l),_e=i(!1),[Ae,Te]=o([]),Oe=i(!1),Le=w||h.includes("click");C((()=>(Oe.current=!0,()=>{Oe.current=!1})),[]),c((()=>{if(!ve){const e=setTimeout((()=>{ye(!1)}),150);return()=>{clearTimeout(e)}}return()=>null}),[ve]);const Re=e=>{Oe.current&&(e&&ye(!0),setTimeout((()=>{Oe.current&&(null==Z||Z(e),void 0===V&&me(e))}),10))};c((()=>{if(void 0===V)return()=>null;V&&ye(!0);const e=setTimeout((()=>{me(V)}),10);return()=>{clearTimeout(e)}}),[V]),c((()=>{ve!==Se.current&&(Se.current=ve,ve?null==K||K():(we(null),null==U||U()))}),[ve]);const Ce=(e=_)=>{ne.current&&clearTimeout(ne.current),ne.current=setTimeout((()=>{Re(!0)}),e)},Ne=(e=A)=>{ie.current&&clearTimeout(ie.current),ie.current=setTimeout((()=>{_e.current||Re(!1)}),e)},ke=e=>{var t;if(!e)return;const o=null!==(t=e.currentTarget)&&void 0!==t?t:e.target;if(!(null==o?void 0:o.isConnected))return J(null),void ge({current:null});_?Ce():Re(!0),J(o),ge({current:o}),ie.current&&clearTimeout(ie.current)},xe=()=>{N?Ne(A||100):A?Ne():Re(!1),ne.current&&clearTimeout(ne.current)},$e=({x:e,y:t})=>{var o;const r={getBoundingClientRect:()=>({x:e,y:t,width:0,height:0,top:t,left:e,right:e,bottom:t})};x({place:null!==(o=null==he?void 0:he.place)&&void 0!==o?o:v,offset:m,elementReference:r,tooltipReference:re.current,tooltipArrowReference:le.current,strategy:S,middlewares:b,border:Q}).then((e=>{Object.keys(e.tooltipStyles).length&&de(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&pe(e.tooltipArrowStyles),ae(e.place)}))},Ie=e=>{if(!e)return;const t=e,o={x:t.clientX,y:t.clientY};$e(o),be.current=o},Be=e=>{ke(e),A&&Ne()},je=e=>{var t;if(!ve)return;[document.querySelector(`[id='${u}']`),...Ae].some((t=>null==t?void 0:t.contains(e.target)))||(null===(t=re.current)||void 0===t?void 0:t.contains(e.target))||(Re(!1),ne.current&&clearTimeout(ne.current))},De=g(ke,50,!0),qe=g(xe,50,!0),He=r((()=>{var e,t;const o=null!==(e=null==he?void 0:he.position)&&void 0!==e?e:F;o?$e(o):T?be.current&&$e(be.current):(null==G?void 0:G.isConnected)&&x({place:null!==(t=null==he?void 0:he.place)&&void 0!==t?t:v,offset:m,elementReference:G,tooltipReference:re.current,tooltipArrowReference:le.current,strategy:S,middlewares:b,border:Q}).then((e=>{Oe.current&&(Object.keys(e.tooltipStyles).length&&de(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&pe(e.tooltipArrowStyles),ae(e.place))}))}),[ve,G,X,P,v,null==he?void 0:he.place,m,S,F,null==he?void 0:he.position,T]);c((()=>{var e,t;const o=new Set(Ee);Ae.forEach((e=>{o.add({current:e})}));const r=document.querySelector(`[id='${u}']`);r&&o.add({current:r});const l=()=>{Re(!1)},n=k(G),i=k(re.current);M&&(window.addEventListener("scroll",l),null==n||n.addEventListener("scroll",l),null==i||i.addEventListener("scroll",l));let c=null;W?window.addEventListener("resize",l):G&&re.current&&(c=f(G,re.current,He,{ancestorResize:!0,elementResize:!0,layoutShift:!0}));const a=e=>{"Escape"===e.key&&Re(!1)};z&&window.addEventListener("keydown",a);const s=[];Le?(window.addEventListener("click",je),s.push({event:"click",listener:Be})):(s.push({event:"mouseenter",listener:De},{event:"mouseleave",listener:qe},{event:"focus",listener:De},{event:"blur",listener:qe}),T&&s.push({event:"mousemove",listener:Ie}));const d=()=>{_e.current=!0},p=()=>{_e.current=!1,xe()};return N&&!Le&&(null===(e=re.current)||void 0===e||e.addEventListener("mouseenter",d),null===(t=re.current)||void 0===t||t.addEventListener("mouseleave",p)),s.forEach((({event:e,listener:t})=>{o.forEach((o=>{var r;null===(r=o.current)||void 0===r||r.addEventListener(e,t)}))})),()=>{var e,t;M&&(window.removeEventListener("scroll",l),null==n||n.removeEventListener("scroll",l),null==i||i.removeEventListener("scroll",l)),W?window.removeEventListener("resize",l):null==c||c(),Le&&window.removeEventListener("click",je),z&&window.removeEventListener("keydown",a),N&&!Le&&(null===(e=re.current)||void 0===e||e.removeEventListener("mouseenter",d),null===(t=re.current)||void 0===t||t.removeEventListener("mouseleave",p)),s.forEach((({event:e,listener:t})=>{o.forEach((o=>{var r;null===(r=o.current)||void 0===r||r.removeEventListener(e,t)}))}))}}),[G,He,fe,Ee,Ae,z,h]),c((()=>{var e,t;let o=null!==(t=null!==(e=null==he?void 0:he.anchorSelect)&&void 0!==e?e:p)&&void 0!==t?t:"";!o&&l&&(o=`[data-tooltip-id='${l}']`);const r=new MutationObserver((e=>{const t=[],r=[];e.forEach((e=>{if("attributes"===e.type&&"data-tooltip-id"===e.attributeName){e.target.getAttribute("data-tooltip-id")===l&&t.push(e.target)}if("childList"===e.type){if(G){const t=[...e.removedNodes].filter((e=>1===e.nodeType));if(o)try{r.push(...t.filter((e=>e.matches(o)))),r.push(...t.flatMap((e=>[...e.querySelectorAll(o)])))}catch(e){}t.some((e=>{var t;return!!(null===(t=null==e?void 0:e.contains)||void 0===t?void 0:t.call(e,G))&&(ye(!1),Re(!1),J(null),ne.current&&clearTimeout(ne.current),ie.current&&clearTimeout(ie.current),!0)}))}if(o)try{const r=[...e.addedNodes].filter((e=>1===e.nodeType));t.push(...r.filter((e=>e.matches(o)))),t.push(...r.flatMap((e=>[...e.querySelectorAll(o)])))}catch(e){}}})),(t.length||r.length)&&Te((e=>[...e.filter((e=>r.includes(e))),...t]))}));return r.observe(document.body,{childList:!0,subtree:!0,attributes:!0,attributeFilter:["data-tooltip-id"]}),()=>{r.disconnect()}}),[l,p,null==he?void 0:he.anchorSelect,G]),c((()=>{He()}),[He]),c((()=>{if(!(null==Y?void 0:Y.current))return()=>null;const e=new ResizeObserver((()=>{He()}));return e.observe(Y.current),()=>{e.disconnect()}}),[X,null==Y?void 0:Y.current]),c((()=>{var e;const t=document.querySelector(`[id='${u}']`),o=[...Ae,t];G&&o.includes(G)||J(null!==(e=Ae[0])&&void 0!==e?e:t)}),[u,Ae,G]),c((()=>()=>{ne.current&&clearTimeout(ne.current),ie.current&&clearTimeout(ie.current)}),[]),c((()=>{var e;let t=null!==(e=null==he?void 0:he.anchorSelect)&&void 0!==e?e:p;if(!t&&l&&(t=`[data-tooltip-id='${l}']`),t)try{const e=Array.from(document.querySelectorAll(t));Te(e)}catch(e){Te([])}}),[l,p,null==he?void 0:he.anchorSelect]);const ze=null!==(oe=null==he?void 0:he.content)&&void 0!==oe?oe:X,Me=Boolean(!O&&ze&&ve&&Object.keys(se).length>0);return s(t,(()=>({open:e=>{if(null==e?void 0:e.anchorSelect)try{document.querySelector(e.anchorSelect)}catch(t){return void console.warn(`[react-tooltip] "${e.anchorSelect}" is not a valid CSS selector`)}we(null!=e?e:null),(null==e?void 0:e.delay)?Ce(e.delay):Re(!0)},close:e=>{(null==e?void 0:e.delay)?Ne(e.delay):Re(!1)},activeAnchor:G,place:ce,isOpen:fe&&Me}))),fe?e.createElement(E,{id:l,role:"tooltip",className:y("react-tooltip",$,H.tooltip,H[d],n,`react-tooltip__place-${ce}`,{"react-tooltip__show":Me,[q]:Me,[I]:"fixed"===S,[D]:N}),style:{...P,...se,opacity:void 0!==ee&&Me?ee:void 0},ref:re},ze,e.createElement(E,{className:y("react-tooltip-arrow",B,H.arrow,a,{[j]:R}),style:{...ue,background:te?`linear-gradient(to right bottom, transparent 50%, ${te} 50%)`:void 0},ref:le})):null},M=({content:t})=>e.createElement("span",{dangerouslySetInnerHTML:{__html:t}}),W=e.forwardRef((({id:t,anchorId:r,anchorSelect:l,content:n,html:a,render:s,className:d,classNameArrow:u,variant:p="dark",place:v="top",offset:m=10,wrapper:f="div",children:y=null,events:h=["hover"],openOnClick:w=!1,positionStrategy:S="absolute",middlewares:b,delayShow:E=0,delayHide:g=0,float:_=!1,hidden:A=!1,noArrow:T=!1,clickable:O=!1,closeOnEsc:R=!1,closeOnScroll:C=!1,closeOnResize:N=!1,style:k,position:x,isOpen:$,disableStyleInjection:I=!1,border:B,opacity:j,arrowColor:D,setIsOpen:q,afterShow:H,afterHide:W},P)=>{const[F,K]=o(n),[U,X]=o(a),[Y,V]=o(v),[Z,G]=o(p),[J,Q]=o(m),[ee,te]=o(E),[oe,re]=o(g),[le,ne]=o(_),[ie,ce]=o(A),[ae,se]=o(f),[de,ue]=o(h),[pe,ve]=o(S),[me,fe]=o(null),ye=i(I),{anchorRefs:he,activeAnchor:we}=L(t),Se=e=>null==e?void 0:e.getAttributeNames().reduce(((t,o)=>{var r;if(o.startsWith("data-tooltip-")){t[o.replace(/^data-tooltip-/,"")]=null!==(r=null==e?void 0:e.getAttribute(o))&&void 0!==r?r:null}return t}),{}),be=e=>{const t={place:e=>{var t;V(null!==(t=e)&&void 0!==t?t:v)},content:e=>{K(null!=e?e:n)},html:e=>{X(null!=e?e:a)},variant:e=>{var t;G(null!==(t=e)&&void 0!==t?t:p)},offset:e=>{Q(null===e?m:Number(e))},wrapper:e=>{var t;se(null!==(t=e)&&void 0!==t?t:f)},events:e=>{const t=null==e?void 0:e.split(" ");ue(null!=t?t:h)},"position-strategy":e=>{var t;ve(null!==(t=e)&&void 0!==t?t:S)},"delay-show":e=>{te(null===e?E:Number(e))},"delay-hide":e=>{re(null===e?g:Number(e))},float:e=>{ne(null===e?_:"true"===e)},hidden:e=>{ce(null===e?A:"true"===e)}};Object.values(t).forEach((e=>e(null))),Object.entries(e).forEach((([e,o])=>{var r;null===(r=t[e])||void 0===r||r.call(t,o)}))};c((()=>{K(n)}),[n]),c((()=>{X(a)}),[a]),c((()=>{V(v)}),[v]),c((()=>{G(p)}),[p]),c((()=>{Q(m)}),[m]),c((()=>{te(E)}),[E]),c((()=>{re(g)}),[g]),c((()=>{ne(_)}),[_]),c((()=>{ce(A)}),[A]),c((()=>{ve(S)}),[S]),c((()=>{ye.current!==I&&console.warn("[react-tooltip] Do not change `disableStyleInjection` dynamically.")}),[I]),c((()=>{"undefined"!=typeof window&&window.dispatchEvent(new CustomEvent("react-tooltip-inject-styles",{detail:{disableCore:"core"===I,disableBase:I}}))}),[]),c((()=>{var e;const o=new Set(he);let n=l;if(!n&&t&&(n=`[data-tooltip-id='${t}']`),n)try{document.querySelectorAll(n).forEach((e=>{o.add({current:e})}))}catch(e){console.warn(`[react-tooltip] "${n}" is not a valid CSS selector`)}const i=document.querySelector(`[id='${r}']`);if(i&&o.add({current:i}),!o.size)return()=>null;const c=null!==(e=null!=me?me:i)&&void 0!==e?e:we.current,a=new MutationObserver((e=>{e.forEach((e=>{var t;if(!c||"attributes"!==e.type||!(null===(t=e.attributeName)||void 0===t?void 0:t.startsWith("data-tooltip-")))return;const o=Se(c);be(o)}))})),s={attributes:!0,childList:!1,subtree:!1};if(c){const e=Se(c);be(e),a.observe(c,s)}return()=>{a.disconnect()}}),[he,we,me,r,l]),c((()=>{(null==k?void 0:k.border)&&console.warn("[react-tooltip] Do not set `style.border`. Use `border` prop instead."),B&&!CSS.supports("border",`${B}`)&&console.warn(`[react-tooltip] "${B}" is not a valid \`border\`.`),(null==k?void 0:k.opacity)&&console.warn("[react-tooltip] Do not set `style.opacity`. Use `opacity` prop instead."),j&&!CSS.supports("opacity",`${j}`)&&console.warn(`[react-tooltip] "${j}" is not a valid \`opacity\`.`)}),[]);let Ee=y;const ge=i(null);if(s){const t=s({content:null!=F?F:null,activeAnchor:me});Ee=t?e.createElement("div",{ref:ge,className:"react-tooltip-content-wrapper"},t):null}else F&&(Ee=F);U&&(Ee=e.createElement(M,{content:U}));const _e={forwardRef:P,id:t,anchorId:r,anchorSelect:l,className:d,classNameArrow:u,content:Ee,contentWrapperRef:ge,place:Y,variant:Z,offset:J,wrapper:ae,events:de,openOnClick:w,positionStrategy:pe,middlewares:b,delayShow:ee,delayHide:oe,float:le,hidden:ie,noArrow:T,clickable:O,closeOnEsc:R,closeOnScroll:C,closeOnResize:N,style:k,position:x,isOpen:$,border:B,opacity:j,arrowColor:D,setIsOpen:q,afterShow:H,afterHide:W,activeAnchor:me,setActiveAnchor:e=>fe(e)};return e.createElement(z,{..._e})}));"undefined"!=typeof window&&window.addEventListener("react-tooltip-inject-styles",(e=>{e.detail.disableCore||b({css:`:root{--rt-color-white:#fff;--rt-color-dark:#222;--rt-color-success:#8dc572;--rt-color-error:#be6464;--rt-color-warning:#f0ad4e;--rt-color-info:#337ab7;--rt-opacity:0.9}.core-styles-module_tooltip__3vRRp{visibility:hidden;position:absolute;top:0;left:0;pointer-events:none;opacity:0;transition:opacity 0.3s ease-out;will-change:opacity,visibility}.core-styles-module_fixed__pcSol{position:fixed}.core-styles-module_arrow__cvMwQ{position:absolute;background:inherit}.core-styles-module_noArrow__xock6{display:none}.core-styles-module_clickable__ZuTTB{pointer-events:auto}.core-styles-module_show__Nt9eE{visibility:visible;opacity:var(--rt-opacity)}`,type:"core"}),e.detail.disableBase||b({css:`
.styles-module_tooltip__mnnfp{padding:8px 16px;border-radius:3px;font-size:90%;width:max-content}.styles-module_arrow__K0L3T{width:8px;height:8px}[class*='react-tooltip__place-top']>.styles-module_arrow__K0L3T{transform:rotate(45deg)}[class*='react-tooltip__place-right']>.styles-module_arrow__K0L3T{transform:rotate(135deg)}[class*='react-tooltip__place-bottom']>.styles-module_arrow__K0L3T{transform:rotate(225deg)}[class*='react-tooltip__place-left']>.styles-module_arrow__K0L3T{transform:rotate(315deg)}.styles-module_dark__xNqje{background:var(--rt-color-dark);color:var(--rt-color-white)}.styles-module_light__Z6W-X{background-color:var(--rt-color-white);color:var(--rt-color-dark)}.styles-module_success__A2AKt{background-color:var(--rt-color-success);color:var(--rt-color-white)}.styles-module_warning__SCK0X{background-color:var(--rt-color-warning);color:var(--rt-color-white)}.styles-module_error__JvumD{background-color:var(--rt-color-error);color:var(--rt-color-white)}.styles-module_info__BWdHW{background-color:var(--rt-color-info);color:var(--rt-color-white)}`,type:"base"})}));export{W as Tooltip,O as TooltipProvider,R as TooltipWrapper,E as removeStyle};
